Last Comment Bug 684826 - Last typed character from password field is not visible when password is filled in
: Last typed character from password field is not visible when password is fill...
Status: VERIFIED FIXED
: regression
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: ARM Android
: P3 normal (vote)
: Firefox 9
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 05:07 PDT by Carla Nadastean
Modified: 2011-12-22 11:45 PST (History)
12 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.13 KB, patch)
2011-10-07 13:45 PDT, Mark Finkle (:mfinkle) (use needinfo?)
blassey.bugs: review+
christian: approval‑mozilla‑aurora+
Details | Diff | Review

Description Carla Nadastean 2011-09-06 05:07:29 PDT
Build ID: Mozilla/5.0 (Android; Linux armv7l; rv:9.0a1) Gecko/20110906 Firefox/9.0a1 Fennec/9.0a1
Device: HTC Desire Z
OS: Android 2.3

Steps to reproduce:
1. Open Fennec app.
2. Go to a websites that have a password field. (http://mail.yahoo.com or http://twitter.com)
3. Fill in the password field.

Expected Result:
Last typed character is visible as password is filled in.

Actual Result:
Characters are never visible.

NOTE: 
In device system Settings -> Security: Visible passwords is checked.

Bug is not reproducible in other application, e,g Twitter: last character from password is visible as the password is filled in.
Comment 1 Aaron Train [:aaronmt] 2011-09-06 06:32:07 PDT
I can't reproduce this; I always I see typed character briefly before it is properly masked.
Comment 2 Carla Nadastean 2011-09-06 06:56:58 PDT
We were able to reproduce the bug on some other devices with different OS (Android 2.2, Android 2.3.6, Android 3.1).

The only environment where bug is not reproducible that we found is:
Device: Motorola Droid2
OS: Android 2.3.3
Comment 3 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-21 14:54:28 PDT
We need to make sure the system setting is properly set (turned on) for this to work. Please verify that Android Settings > Location & Security > Passwords has the right setting.
Comment 4 Carla Nadastean 2011-09-23 09:42:45 PDT
System settings are properly set:

Android Settings > Location & Security > Show password as you type is checked

Bug is reproducible with HTC Desire Z, Android 2.3
                         HTC Desire, Android 2.2
Bug is not reproducible with Motorola DROID 2, Android 2.3
Comment 5 Gabriela [:gaby2300] 2011-09-23 15:31:57 PDT
Build ID: Mozilla/5.0 (Android; Linux armv7l; rv:9.0a 1)Gecko/20110922 Firefox/9.0a1 Fennec/9.0a1
SO: Android 3.1
Device: Samsung Galaxy Tab 10.1

System settings are properly set: Android Settings > Location & Security > Show password as you type is checked.

I can reproduce this bug, actually I cannot see any typed character briefly before it is properly masked.
Comment 6 Brad Lassey [:blassey] (use needinfo?) 2011-10-06 10:18:50 PDT
Gabriela, this is marked as a regression. Can you try some older builds to find a regression range?
Comment 7 Gabriela [:gaby2300] 2011-10-06 12:33:32 PDT
(In reply to Brad Lassey [:blassey] from comment #6)
> Gabriela, this is marked as a regression. Can you try some older builds to
> find a regression range?

Regretfully I'm not at ease with my Android device as I am with my desktop yet where I try almost build, so I'm very sorry but I'd rather not try older builds in my device for now.

BTW, being the bug not fixed yet, I don't understand why is this a regression. I would really appreciate it if you could tell me!
Comment 8 Brad Lassey [:blassey] (use needinfo?) 2011-10-06 13:40:02 PDT
(In reply to Gabriela from comment #7)
> BTW, being the bug not fixed yet, I don't understand why is this a
> regression. I would really appreciate it if you could tell me!

regression means that this used to work and now it doesn't. So the assertion is that at some point in the past this bug did not exist and since it does now some patch broke something.
Comment 9 Catalin Suciu [:csuciu] 2011-10-07 00:10:41 PDT
This issue doesn't occur on:
Build id : Mozilla/5.0 (Android;Linux armv7l;rv:8.0a1)Gecko/20110815
Firefox/8.0a1 Fennec/8.0a1
http://hg.mozilla.org/mozilla-central/rev/8994b8638803

but it occurs on:
Build id : Mozilla/5.0 (Android;Linux armv7l;rv:8.0a1)Gecko/20110816
Firefox/8.0a1 Fennec/8.0a1
http://hg.mozilla.org/mozilla-central/rev/37dedb70a68a

Possible range:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=8994b8638803&tochange=37dedb70a68a
Comment 10 Gabriela [:gaby2300] 2011-10-07 07:01:52 PDT
(In reply to Brad Lassey [:blassey] from comment #8)
> (In reply to Gabriela from comment #7)
> > BTW, being the bug not fixed yet, I don't understand why is this a
> > regression. I would really appreciate it if you could tell me!
> 
> regression means that this used to work and now it doesn't. So the assertion
> is that at some point in the past this bug did not exist and since it does
> now some patch broke something.

Many thanks for taking the time to answer me!
Comment 11 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-07 13:45:47 PDT
Created attachment 565640 [details] [diff] [review]
patch

This patch uses a slightly different "default" mode, leaning to showing the last character of a password if something goes wrong. Currently, we lean to not showing the last character.

A test build can be found here:
http://people.mozilla.com/~mfinkle/fennec/fennec-10.a1-showpassword.apk

please try this out and let me know if things work better
Comment 12 Catalin Suciu [:csuciu] 2011-10-10 00:29:14 PDT
    (In reply to Mark Finkle (:mfinkle) from comment #11)
> Created attachment 565640 [details] [diff] [review] [diff] [details] [review]
> patch
> 
> This patch uses a slightly different "default" mode, leaning to showing the
> last character of a password if something goes wrong. Currently, we lean to
> not showing the last character.
> 
> A test build can be found here:
> http://people.mozilla.com/~mfinkle/fennec/fennec-10.a1-showpassword.apk
> 
> please try this out and let me know if things work better

I verified this issue using your test build and found that:
1.The bug is still reproducible when typing in landscape mode using the sw keyboard
2.The bug is not reproducible when typing in - portrait mode using hw and sw keyboard   
                                             - landscape mode using hw keyboard

Devices: HTC Desire (Android 2.2)
         HTC Desire Z (Android 2.2)
Comment 13 Brad Lassey [:blassey] (use needinfo?) 2011-10-10 07:15:26 PDT
The system is controlling the text display when using the landscape software keyboard. Since this patch is fixing your issue in portrait, it sounds like something is funky with your devices to begin with, so mark has fixed about all that is fixable.
Comment 14 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-10 07:43:01 PDT
Comment on attachment 565640 [details] [diff] [review]
patch

Since this fixes the portrait behavior, I am asking for review.

As Brad said, the landscape keyboard behavior is _not_ Fennec. That is a full screen keyboard provided by the keyboard itself.
Comment 15 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-10 07:53:48 PDT
Fixed for situations where Fennec is controlling the behavior.

https://hg.mozilla.org/mozilla-central/rev/f7bf7ac18a79
Comment 16 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-10 07:55:13 PDT
For the record, this fix really just changes the default to "show last character" when we are unable to determine the actual setting for the system preference. I think this is the behavior we want.
Comment 17 Matt Brubeck (:mbrubeck) 2011-10-10 09:57:01 PDT
Backed out until we can figure out which of several patches broke Android tests:
https://hg.mozilla.org/mozilla-central/rev/bcf12565b95b
Comment 18 Matt Brubeck (:mbrubeck) 2011-10-10 11:09:43 PDT
Re-landed: https://hg.mozilla.org/mozilla-central/rev/788fb79040ed
Comment 19 Matt Brubeck (:mbrubeck) 2011-10-10 16:36:58 PDT
This was also backed out and re-landed on inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/a5b88a4500aa
https://hg.mozilla.org/integration/mozilla-inbound/rev/20ba6842a750

(These should be a no-op in the next merge from inbound to m-c.  Inbound sheriff, you do not need to change this bug's status.)
Comment 20 Marco Bonardo [::mak] 2011-10-11 02:32:37 PDT
https://hg.mozilla.org/mozilla-central/rev/20ba6842a750
Comment 21 Carla Nadastean 2011-10-13 01:53:09 PDT
Retested bug with:
Build ID: Mozilla/5.0 (Android; Linux armv7l; rv:10.0a1) Gecko/20111012 Firefox/10.0a1 Fennec/10.0a1
Device: Motorola DROID 2
OS: Android 2.3

Bug is no longer reproducible: 
Last typed character from password field is visible when password is filled in  
in - portrait mode using hw and sw keyboard   
   - landscape mode using hw keyboard

Marking bug as verified.
Comment 22 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-13 06:42:40 PDT
Comment on attachment 565640 [details] [diff] [review]
patch

Very simple fix that fixes a regression introduced by bug 673969. The fix simple defaults to the old setting if we can't find the system preference.
Comment 23 Mark Finkle (:mfinkle) (use needinfo?) 2011-10-13 21:08:59 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/4df0ea4610d7
Comment 24 Martijn Wargers [:mwargers] (not working for Mozilla) 2011-12-22 11:45:07 PST
I can't reproduce this on my LG Optimus Black phone, using Android OS 2.2.2, using the 10b1 build from:
http://ftp.mozilla.org/pub/mozilla.org/mobile/candidates/10.0b1-candidates/build1/unsigned/
So it is not a problem in there, but perhaps the bug could never be shown in my configuration. So I'm not marking it status-firefox10-verified for now.

Note You need to log in before you can comment on or make changes to this bug.